Page MenuHomePhabricator

Invalidate the diff cache if the engine producing the diff changes
Closed, ResolvedPublic

Description

Our recent updates to wikidiff2 that changes the way it handles moved paragraphs is live (T177891) and works with new diffs. Due to caching old diffs do not use the new wikidiff2 engine and looking at older diffs might be confusing.

The solution proposed invalidates the diff cache if the engine that produced it changed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 8 2017, 3:20 PM

Change 389202 had a related patch set uploaded (by WMDE-Fisch; owner: Legoktm):
[mediawiki/core@master] DifferenceEngine: Improve cache invalidation

https://gerrit.wikimedia.org/r/389202

WMDE-Fisch moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Nov 8 2017, 3:22 PM
WMDE-Fisch added subscribers: Legoktm, Addshore.
Tobi_WMDE_SW added a subscriber: Tobi_WMDE_SW.

@Legoktm we've picked this topic up for our next sprint as we would like to support you to get this finished before we deploy the new behavior to dewiki beginning of December.

Change 389202 merged by jenkins-bot:
[mediawiki/core@master] DifferenceEngine: Improve cache invalidation

https://gerrit.wikimedia.org/r/389202

Tobi_WMDE_SW closed this task as Resolved.Nov 21 2017, 2:38 PM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Feb 20 2018, 4:53 PM